Summary:	A youtube-dl fork with additional features and fixes
Summary(pl.UTF-8):	Odgałęzienie projektu youtube-dl z dodatkowymi funkcjami i poprawkami
Name:		yt-dlp
Version:	2024.12.13
Release:	1
License:	Public Domain
Group:		Applications/System
Source0:	https://github.com/yt-dlp/yt-dlp/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6e8856da6bd45c8f02240027bd5b47a6
URL:		https://github.com/yt-dlp/yt-dlp
BuildRequires:	python3 >= 1:3.9
BuildRequires:	python3-modules >= 1:3.9
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.720
Requires:	python3-modules >= 1:3.9
Requires:	python3-setuptools
Requires:	python3-%{name} = %{version}-%{release}
Suggests:	ffmpeg
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
yt-dlp is a youtube-dl fork based on the now inactive youtube-dlc. The
main focus of this project is adding new features and patches while
also keeping up to date with the original project.

%description -l pl.UTF-8
yt-dlp to odgałęzienie projektu youtube-dl, oparte na nieaktywnym
obecnie youtube-dlc. Skupia się głównie na dodawaniu nowych funkcji i
poprawek, utrzymując także aktualność względem oryginalnego projektu.

%package -n python3-%{name}
Summary:	Python 3 video extraction utility for YouTube
Summary(pl.UTF-8):	Narzędzie Pythona 3 do wydobywania filmów z YouTube
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.9
Requires:	python3-pyxattr >= 0.5.0

%description -n python3-%{name}
Python 3 video extraction utility for YouTube.

%description -n python3-%{name} -l pl.UTF-8
Narzędzie Pythona 3 do wydobywania filmów z YouTube.

%prep
%setup -q

cat > setup.py <<EOF
from setuptools import setup, find_packages
setup(version='%{version}', packages=find_packages(include=['yt_dlp', 'yt_dlp.*']))
EOF

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md LICENSE
%attr(755,root,root) %{_bindir}/yt-dlp

%files -n python3-%{name}
%defattr(644,root,root,755)
%{py3_sitescriptdir}/yt_dlp
%{py3_sitescriptdir}/yt_dlp-*-py*.egg-info
%changelog
* Fri Dec 20 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/yt-dlp.git;a=log;h=master

* Mon Dec 16 2024 Jan Palus <atler@pld-linux.org> 58f0067
- up to 2024.12.13

* Fri Nov 08 2024 Jakub Bogusz <qboosh@pld-linux.org> a763b65
- pl

* Tue Oct 22 2024 Jan Palus <atler@pld-linux.org> 12f2d53
- up to 2024.10.22

* Tue Oct 08 2024 Jan Palus <atler@pld-linux.org> ab9a754
- up to 2024.10.07

* Sat Sep 28 2024 Jan Palus <atler@pld-linux.org> 0d8ad66
- up to 2024.09.27

* Thu Aug 01 2024 Jan Palus <atler@pld-linux.org> c4f0af4
- up to 2024.08.01

* Sat Jul 13 2024 Jan Palus <atler@pld-linux.org> 3e05bbe
- up to 2024.07.09

* Sun Dec 31 2023 Jan Palus <atler@pld-linux.org> 003616f
- up to 2023.12.30

* Thu Nov 16 2023 Jan Palus <atler@pld-linux.org> 2b9fc91
- up to 2023.11.16

* Wed Nov 15 2023 Jan Palus <atler@pld-linux.org> 6301e49
- up to 2023.11.14

* Sat Oct 14 2023 Jan Palus <atler@pld-linux.org> fb57f4f
- up to 2023.10.13

* Sat Oct 07 2023 Jan Palus <atler@pld-linux.org> 566abc3
- up to 2023.10.07

* Sun Sep 24 2023 Jan Palus <atler@pld-linux.org> 3e362f5
- up to 2023.09.24

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 26d8c4d
- up to 2023.07.06 (fixes CVE-2023-35934)

* Thu Jun 22 2023 Jan Palus <atler@pld-linux.org> 9897524
- up to 2023.06.22

* Wed Jun 21 2023 Jan Palus <atler@pld-linux.org> 0d03b94
- versioned python3 build dep

* Wed Jun 21 2023 Jan Palus <atler@pld-linux.org> c210032
- up to 2023.06.21

* Wed Jun 21 2023 Jan Palus <atler@pld-linux.org> 0e043fe
- BR: python3 for %py3_*

* Sun Mar 05 2023 Adam Gołębiowski <adamg@pld-linux.org> e16634a
- updated to 2023.03.04

* Sat Mar 04 2023 Jan Palus <atler@pld-linux.org> 98d0445
- up to 2023.03.03

